%define name emma
%define version 0.8.2
%define release 3mdk

Requires:    python >= 1.5 , gtk+ >= 1.2.0
Summary:     Money management program for Gnome/Gtk+
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
Group:       Office
Source:      %{name}-%{version}.tar.bz2
Buildroot:   %{_tmppath}/%{name}-buildroot
URL:         http://rainbow.mimuw.edu.pl/~la181249/emma/home.php3
Source10:    %{name}.16.png.bz2
Source11:    %{name}.32.png.bz2
Source12:    %{name}.48.png.bz2
Buildrequires: libpython2.2-devel


%description
This program allows to easy manage your incomes and expenses.
It is simple in design, but extensible through embeded python
interface. Install it if you want to keep track of your money.

%prep
rm -rf $RPM_BUIL_ROOT

%setup -q


%build
rm config.cache
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=$RPM_BUILD_ROOT%{_prefix}

%make


%install
make prefix=$RPM_BUILD_ROOT/usr install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
section="Applications/Finances" \
command="/usr/bin/emma"\
title="Emma"\
longtitle="Personal finance management"\
needs="x11" \ 
icon="%{name}.png"
EOF
) 
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post 
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%{_bindir}/*
%{_datadir}/emma
%{_datadir}/gnome/help/emma
%{_libdir}/menu/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%changelog
* Thu Jan 16 2003 Laurent Culioli <laurent@mandrakesoft.com> 0.8.2-3mdk
- rebuild

* Fri Jul 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- buildrequires libpython2.2-devel
- update url

* Tue Jun 18 2002 Laurent Culioli <laurent@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2
- png icons

* Fri Oct 19 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.8-4mdk
- License.
- menu-icons.

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- New office menu struture
- use find_lang macro

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-2mdk
- some spec cleanings

* Fri Dec 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- updated to 0.8

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-12mdk 
- v0.7 

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- fix group

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- make docs installing
- mandrake adaptations
